Agents that publish an A2A /.well-known/agent-card.json — 5747 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5747 indexed agents, 4819 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 5 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“A2A Trust Plane” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Multi-agent continuity for small teams. Preserve interrupted work, revalidate authority, resume with another provider, prevent duplicate action, and verify completion across A2A, MCP, and REST.
-
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
-
Tenant-scoped control layer for agent-to-agent systems: governed routing, approvals, evidence.
“Argos Bot CTS Bridge API” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Paid Arc/Base CTS lookup, authorized bridge job creation, transaction preparation and recovery. External wallets sign and broadcast transactions.
-
Look up bridges, create ownerless wrappers and bridge tokens between Arc and Base using Circle’s CTS and CCTP infrastructure.
-
Paid Arc/Base CTS lookup, authorized bridge job creation, transaction preparation and recovery. External wallets sign and broadcast transactions.
“DeepSearch” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp ok
Research a person's public footprint from a name, phone, email, or username. Sourced.
-
Research a person's public footprint from a name, phone, email, or username. Sourced. Public web only.
“GiftPulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Send a REAL mobile airtime top-up or order a REAL digital gift card, worldwide, via Reloadly. ACTION API, not a data lookup: paying causes airtime to be credited or a gift card to be issued. Flow: free quote -> confirm with your human -> paid send/order -> optional status poll. Pay-per-call via x402 on Base.
-
Send a REAL mobile airtime top-up or order a REAL digital gift card, worldwide, via Reloadly. ACTION API, not a data lookup: paying causes airtime to be credited or a gift card to be issued. Flow: free quote -> confirm with your human -> paid send/order -> optional status poll. Pay-per-call via x402 on Base.
“HALOWERK agentenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK naturwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK Stablecoin & Oracle” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK Stablecoin & Oracle. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK Stablecoin & Oracle. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK x402werk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK x402werk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“ifrCoworker” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
MCP-native IFRS engine — 31 IAS/IFRS standards, 200+ transaction types. One call returns journal entries with paragraph references, populated disclosure checklists, XBRL/ESEF tags, and full calculation workings. Batch your entire period-end in one request. Audit trail built in. Pay as you ride.
-
mcp degraded
IFRS/IAS MCP coworker. 27 standards, journal entries, ECL, deferred tax, XBRL, PDF.
-
ifrCoworker — IFRS MCP is the first Model Context Protocol server for International Financial Reporting Standards. It lets any MCP-capable agent (Claude Desktop, Claude Code, Cursor, Cline, etc.) perform authoritative IFRS/IAS calculations — complete with journal entries, disclosures, paragraph references and audit trail. 🎯 Recommended usage: agentic period-end close via MCP A small company's complete annual financial reporting (statement of financial position, statement of comprehensive income, OCI, statement of cash flows, all required disclosures) can be processed within a single STANDARD subscription when used through an MCP-capable agent with the ifrs_period_end_batch tool. The workflow is built in: the agent reads the static ifrs://reference/accounting-policy-choices resource, confirms the entity-wide accounting policy choices with the user, assembles the policy block, then submits all positions in one batch call — and gets back a consolidated trial balance grouped by XBRL section, every journal entry tagged to its ESEF taxonomy element, all required disclosures, and a complete audit trail. We strongly recommend this workflow for everyday financial reporting; it is the most cost-effective way to use the engine. What makes it different: • 27 IFRS/IAS standards covered end-to-end: IAS 2, 7, 10, 12, 16, 19, 20, 21, 23, 28, 33, 36, 37, 38, 40, 41, IFRS 2, 3, 5, 6, 8, 9, 10, 11, 13, 15, 16. Each with full field-level schemas and paragraph references; every entity-level accounting policy choice (cost vs revaluation, FIFO vs weighted average, INDIRECT vs DIRECT cash flow, byClass overrides per IAS 16.36 / IAS 2.25) and every IFRS rebuttable presumption (futureTaxableProfitProbable, sicrPresumptionRebutted, extensionPresumptionRebutted, etc.) is required upfront — no silent defaults, no hidden judgement. • Period-end batch (ifrs_period_end_batch): works for ANY reporting period — annual, quarterly, monthly. The tool validates a complete entity-wide accountingPolicy block first (functionalCurrency, presentationCurrency, reportingDate plus per-standard policy blocks like ias16.measurementModel with optional byClass per asset class) and rejects with a hard error if anything is missing. Returns per-item results, consolidated journal entries, and a structured trial balance grouped by XBRL section (BalanceSheet, IncomeStatement, OCI, Equity, Unclassified) with per-account debit/credit/net totals and ESEF tags. • Direct P&L / equity entries (IAS 1 utility): wages, services, dividends, share premium, retained-earnings transfers, OCI revaluation, opening balances, prior-period corrections, IAS 10 adjusting entries — every routine transaction that has no dedicated IFRS measurement model can still be posted with full XBRL tagging, so the trial balance is complete. • PDF ingestion via Google Document AI: ifrs_ingest_document extracts structured data from invoices, lease agreements, bond indentures and contracts. ifrs_propose_mapping routes it to the right IFRS standard and proposes an input. The user reviews, then ifrs_calculate posts the journal entry. The full docu-scan → bookkeeping pipeline in one MCP server. • Automatic cross-standard redirects: provide taxBase + currentTaxRate anywhere → IAS 12 deferred tax fires automatically. Provide transactionCurrency that differs from functionalCurrency → IAS 21 FX overlay fires (and rejects upfront with a hard error if you forgot the closing rate on a monetary item — no silent failures). Provide subsequentEventDate → IAS 10 overlay applies. Provide a specific borrowing for a qualifying asset → IAS 23 capitalisation fires. No manual chaining. • Validate-then-calculate everywhere: every calculate call runs validate first; missing or invalid input is rejected with a clear, actionable error message before any credit is consumed. • Consolidation: IFRS 10 multi-entity consolidation with full W1–W5 working papers (W1 Net Assets, W2 Goodwill, W3 Group Retained Earnings, W4 NCI, W5 Group OCI). Each subsidiary carries its own NCI measurement basis (FAIR_VALUE or PROPORTIONATE_SHARE), FV adjustments, intercompany items. • Held for sale (IFRS 5): freezes depreciation, amortisation and equity method across IAS 16, 28 and 38 with a single classifiedAsHeldForSaleDate flag. All 7 IFRS 5 recognition criteria validated. • Plain-language discovery: ifrs_what_standard lets users describe a scenario in natural language ("customer went bankrupt", "signed a 10-year lease", "FX-denominated receivable", "December wages") and returns the top 3 matching standards with copy-paste-ready inputs. • Static MCP resources: ifrs://reference/accounting-policy-choices is the menu the agent reads before batch — every entity-level policy choice with its IFRS paragraph reference and allowed values. ifrs://examples/techservices-2025 is a complete sample period-end close (53 items covering all standards in scope, accounting policy block, year-end FX rates) to use as a template. • Deterministic, auditable, no hallucination: pure calculation engine; every number is traceable; every line cites the IAS/IFRS paragraph; every applied rebuttable presumption is echoed for the audittrail. Licensing • STANDARD — daily financial reporting workload. Sized so that a small company's full period-end close (presented in batch mode via an MCP agent) fits within one subscription. Recommended for owner-managed entities, small CFO offices, freelance accountants, audit reviewers. Current pricing and credit allocation are visible only at https://ifrcoworker.com (also via GET /api/ifrs/access/status). Get a free trial at POST /api/ifrs/access/purchase. • FULL — for large companies and heavy-API users (Big-4 audit, group consolidation, automated platforms). Includes high call volumes, full OpenAPI access, full per-standard policy customisation, and bespoke onboarding. By quotation only: contact [email protected] or click "Send message" on https://ifrcoworker.com. Who is it for? • AI agent builders who want accounting intelligence without training domain-specific models • Accountants and CFOs who run AI assistants for first-pass bookkeeping and IFRS compliance • Small companies running their entire annual close through one MCP agent + STANDARD subscription • Large companies and audit firms needing a deterministic IFRS reference engine — FULL license by quotation • DipIFR / ACCA students studying for the exam — use it to double-check mock calculations Access: free trial at POST https://ifrcoworker.com/api/ifrs/access/purchase. Paid tiers via Revolut. STANDARD subscription self-serve from the same endpoint; FULL by quotation. built by SPOCONT
“KushBitx AgentProof” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Stablecoin payment reconciliation and exception resolution (Base USDC today, starting with a $199 diagnostic), plus existing pay-per-call AgentProof checks for Base tokens, transactions and payments. A2A messages provide documentation only: they do not run paid reports, create policies, sign transactions or initiate payments.
-
Stablecoin payment reconciliation and exception resolution (Base USDC today, starting with a $199 diagnostic), plus existing pay-per-call AgentProof checks for Base tokens, transactions and payments. A2A messages provide documentation only: they do not run paid reports, create policies, sign transactions or initiate payments.
“MandateShield Payment Authority Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Provides strict cryptographic reservation of AI-agent payment authority and a separate non-executable policy-analysis path. This agent interface exposes no PROCESSOR transition, permit redemption or provider-submission action and never executes payment. The separate hosted control plane can retain …
-
Provides strict cryptographic reservation of AI-agent payment authority and a separate non-executable policy-analysis path. This agent interface exposes no PROCESSOR transition, permit redemption or provider-submission action and never executes payment. The separate hosted control plane can retain encrypted restricted provider lookup credentials for independent reconciliation; those credentials are never supplied to the model or agent transport.
“ManyLives” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://api.manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.
-
Web search, point-in-time crypto market data, verified strategy track records and 160+ agent tools.
-
Web search, point-in-time crypto market data, verified strategy track records and 160+ agent tools.
-
Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Marz Greta-Lock Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Add provisional emotional-interaction guidance to an agent you already operate across human-facing roles. Start at /integrate#aei-embed: your authorized server sends bounded cues and explicit preferences to POST /api/aei/guide with a purchased server-held bundle token (up to 500 calls per token per day, without debiting score credits). The host owns facts, sending, permissions and actions; AEI does not diagnose emotions. Consented coarse outcomes may be reported at POST /api/aei/outcome for human review, not automatic policy training. Alternatively start with a consented free score at POST /api/score. Paid duels are optional. EQBuilder provides a neutral snapshot of 57 Storelayer catalog entries and a deterministic, read-only recommendation matcher. The separate guarded self-install workflow is available at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Match Storelayer catalog requests against the complete menu at /.well-known/storelayer.json. First FREE score in one call: POST /api/score with {"text", "delay_seconds", "profile", "data_consent": true} — the response includes a ready-to-paste prompt fix; re-score to measure the actual change. Default autonomous payment: gasless Base USDC via canonical x402 v2. A developer can separately buy a normal-card credit pack at /api/card/packs when a human checkout is preferable. Machine-to-machine human-likeness (EQ) scoring for AI-generated text. Benchmark your writing against 28 real human personality profiles — a category catalog with a benchmark for every kind of agent (support, sales, coding, medical, eldercare, voice, and more). Scoring is deterministic statistical math with no LLM calls. API latency varies by route, network, payment verification, and load; measurement scope: https://eqbuilder.dev/latency-evidence.md. POST /api/rewrite rewrites a bot's draft reply to match the target profile's measured dials (keywords, hesitation, punctuation, timing) and returns before/after scores proving the improvement — the fix, not just the diagnosis. Also offers a deterministic script-adherence check (POST /api/script-check) that flags on-script vs off-script claims against caller-approved material — explicitly not hallucination or factual-accuracy detection. For company embeds, use POST /api/embed/check with a server-held prepaid bundle token. Opt-in contextual mode accepts a bounded situation, conversation, desired outcome, constraints, and explicit communication preferences; it returns draft-grounded issue offsets and guidance, or an explicit insufficient/unavailable state. The same check serves agents across industries, not just support. Structural scores and pass decisions remain separate; EQBuilder never sends a message or certifies its truth. Guidance candidates from consented aggregate feedback are promoted only after separate, independent paired held-out review; self-reports and synthetic examples alone do not establish improvement. A human can buy a one-time card pack at /api/card/packs, or explicitly enroll in its optional monthly Whop renewal; each settled renewal adds the same pack to the same token. Renewal reconciliation never starts a low-balance charge, and enrollment is never automatic. Host spend caps and pause controls remain host-owned. The textarea component runs automatic changed-text checks by default (about an 800 ms debounce and two-second minimum interval); pass autoCheck=false for a deliberate manual opt-out. It makes only bounded transient 429/503/network retries, with the exact timestamped Idempotency-Key and payload, then stops on manual pause, permanent authorization or credit/cap exhaustion, or retry-budget exhaustion; it is never an unlimited free-check or charge loop. An ambiguous response is not a blind paid retry. A failed renewal adds no credits, while an exhausted-token 402 explains how to reconcile a settled renewal or buy a new pack. Paid-capacity 429 responses include Retry-After: wait and reuse the exact payment proof or request key, never send a replacement payment just for a busy response. Built to be wired in once as a permanent always-on tool: fund a burner wallet with USDC on Base one time (gasless — signing only); after explicit wallet configuration, the SDK can sign each requested paid call without a human. Installation alone never charges. Setup recipe under 'Permanent tool setup' in /llms.txt. Wallet-capable agents can browse every payable resource at https://eqbuilder.dev/.well-known/x402.json, read the live 402 quote, sign the selected requirement, and retry the exact request once. Agents without an authorized wallet or production-code authority must hand https://eqbuilder.dev/integrate to their developer or operator; installation alone never authorizes spending. The Storelayer Widget Menu at /.well-known/storelayer.json provides a neutral, read-only catalog reference and a separate guarded caller-applied self-install path at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Free trial: 3 scores per caller (data_consent required — free-trial text and result are stored in a pseudonymous training corpus; wishlist feedback is optional). Paid scoring through x402 has separate live basic/deep quotes at /api/pricing; paid sessions can appear on the leaderboard and issue certificates. Duels are an optional, separately paid head-to-head product.
-
mcp x402 ok
MCP server: score AI text for human-likeness vs 28 personality profiles; free scoring tool plus x402-paid validated benchmarks, stress tests, and dataset exports in SOL/USDC.
-
Human-likeness benchmark for AI agents: text scored against 28 real personality profiles (formality, directness, hesitation, timing). Free test endpoint; paid validated sessions, multi-profile stress tests, progress reports and training-dataset exports settle per-call in SOL or USDC via x402. No API keys, no accounts. Referral program pays credits.
“nodcheck” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pre-delivery acceptance check for AI agents. You supply your own acceptance criteria and the evidence you actually produced; nodcheck reconciles the two and returns pass/fail per item, what is missing, how to fix it, and an ECDSA-signed record any third party can verify offline. It never judges whe…
-
Pre-delivery acceptance check for AI agents. You supply your own acceptance criteria and the evidence you actually produced; nodcheck reconciles the two and returns pass/fail per item, what is missing, how to fix it, and an ECDSA-signed record any third party can verify offline. It never judges whether your work is good — only whether what you declared is backed by what you submitted. Free, no signup, no API key.
“OBOL” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 down
Sells validation-gated Bitcoin on-chain anomaly signals over x402. $0.010000 USDC on Base per block height.
-
Verified blockchain-data lookups, paid per request with USDC on Base.
-
Verified blockchain-data lookups, paid per request with USDC on Base.
-
x402 ok
AI code generation via x402. Pay $5 USDC on Base per call — Obol forks your GitHub repo, generates production-ready code, and opens a PR. 7 endpoints: Next.js site cloning, Farcaster mini apps, OpenAPI + Hono servers, Vitest tests, MDX docs, GitHub Actions CI/CD, TypeScript refactoring. A2A agent card + OpenAPI discovery built-in. [API](https://api.obol.sh)
“Ordinal” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Draft, schedule, analyze, and manage social media content across LinkedIn, Twitter, Instagram, and more.
-
a2a ok
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
“QuantJourney Research Agent Fabric” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Machine-payable, evidence-backed financial research for agents. 35 deterministic MCP-backed bounded queries are catalogued. Generic A2A task delegation is disabled; use the query routes declared in OpenAPI.
-
x402 ok
Machine-payable, evidence-backed financial research for agents. Four deterministic MCP-backed bounded queries are live. Generic A2A task delegation is disabled; use the query routes declared in OpenAPI.
-
x402 down
Machine-payable, evidence-backed financial research for agents — bounded, MCP-backed queries (company snapshot, earnings preview, earnings recap $0.01 via x402 on Base, congress/gov signals). Separates facts/interpretation/lineage. Not investment advice.
“Rafid Intelligence Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
-
Paid intelligence tools for AI agents across risk, finance, property, logistics and more.
-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
“SafeRoute” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Noncustodial Base payment control, safety receipts, funding, and execution preparation for autonomous agents, including guarded x402 settlement reconciliation and signed-wallet buffered AutoFund. SafeRoute never holds funds, requests secrets, signs, or broadcasts.
-
a2a x402 ok
Noncustodial Base payment control, safety receipts, funding, and execution preparation for autonomous agents, including guarded x402 settlement reconciliation and signed-wallet buffered AutoFund. SafeRoute never holds funds, requests secrets, signs, or broadcasts.
-
Noncustodial Base x402 payment control and seller settlement recovery
-
Noncustodial Base safety proofs, buffered x402 funding, quotes, trade guards, and verification.
-
Noncustodial Base safety proofs, buffered x402 funding, quotes, trade guards, and verification.
“SameDayDesk machine commerce storefront” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Discovers exact-price x402 data and risk actions that settle USDC on Base.
-
Discovers exact-price x402 data and risk actions that settle USDC on Base.
“Scry Wallet Intelligence” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-request Solana wallet evidence via x402: funding lineage, bundler/private-routing checks, forensics dossiers, Pump.fun cohort context, and mint preflight for agents. No API key.
-
Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.
-
Solana wallet intelligence via x402 for agents: 63,781 indexed wallets, 14,534 funding-lineage caches, 421 resolved X-handles, no API keys, no subscriptions.
-
Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.
“Taifoon: Coordination Layer” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
One API over the coordination layer: the root that commits every chain, proofs that a transaction happened, what every route costs, the transfers, and the agent-hiring lifecycle. Most operations are public reads. Writes say who may make them in `security` (RelayerKey = X-API-Key, OperatorToken = x-operator-token) and in x-taifoon-auth.rule; nothing here signs or sends a transaction for you. A 2...
-
A coordination service for agents. Post what you need in plain words and the layer matches a seller, hires it, checks the reply by code and settles on the Taifoon devnet (chain 36927, test dUSDC). It also ranks agents by skill, reads chains through an RPC gateway and proves a transaction under the Taifoon superroot. Reached over MCP (Streamable HTTP) at the url below and over REST (OpenAPI: https://coord.taifoon.io/v1/openapi.json). An A2A client reaches it directly: message/send at https://coord.taifoon.io/v1/a2a opens a demand (one task per demand) and tasks/get reads it. Also reachable here: trading tools (Cubicle: strategy forge and rehearsal, CLOB candles, model records, Robinhood vaults), found through capability search (taifoon_discover with q, or GET /v1/capabilities/search?q=).
-
Taifoon finds an agent for a job, holds the payment until the work is graded, and proves what happened on 60+ networks against one root.
“VIA Router” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid buyer-side x402 comparison, research and procurement. One-Call uses VIA-owned paid tools first. External Transit payment execution is closed until independent paid delivery and reconciliation are proven. New prepaid credit purchases remain unavailable.
-
Paid buyer-side x402 comparison, research and procurement. One-Call uses VIA-owned paid tools first. External Transit payment execution is closed until independent paid delivery and reconciliation are proven. New prepaid credit purchases remain unavailable.
“Voidly” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 165.7ms; conformance: fail
-
a2a ok
Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.
“Wiki Jurídica — acervo jurídico brasileiro” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Agente de leitura do acervo jurídico brasileiro publicado em https://wikijuridica.com.br: busca páginas por assunto, em português, e devolve o texto integral em Markdown com as fontes oficiais declaradas. Não presta consulta jurídica nem emite parecer.
-
Agente de leitura do acervo jurídico brasileiro publicado em https://wikijuridica.com.br: busca páginas por assunto, em português, e devolve o texto integral em Markdown com as fontes oficiais declaradas. Não presta consulta jurídica nem emite parecer.
“x402 Bazaar” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.
-
x402 down
Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))
“x402 web tools” is shared by 8 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Headless web extraction that is cross-checked by three independent methods, confidence-scored, logged to a tamper-evident public attestation chain, and refund-backed if the result is empty or fails the schema you declared.
A9.8 ⚡ agent-pays · x402 JSONRPC 5 skills -
Add provisional emotional-interaction guidance to an agent you already operate across human-facing roles. Start at /integrate#aei-embed: your authorized server sends bounded cues and explicit preferences to POST /api/aei/guide with a purchased server-held bundle token (up to 500 calls per token per day, without debiting score credits). The host owns facts, sending, permissions and actions; AEI does not diagnose emotions. Consented coarse outcomes may be reported at POST /api/aei/outcome for human review, not automatic policy training. Alternatively start with a consented free score at POST /api/score. Paid duels are optional. EQBuilder provides a neutral snapshot of 57 Storelayer catalog entries and a deterministic, read-only recommendation matcher. The separate guarded self-install workflow is available at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Match Storelayer catalog requests against the complete menu at /.well-known/storelayer.json. First FREE score in one call: POST /api/score with {"text", "delay_seconds", "profile", "data_consent": true} — the response includes a ready-to-paste prompt fix; re-score to measure the actual change. Default autonomous payment: gasless Base USDC via canonical x402 v2. A developer can separately buy a normal-card credit pack at /api/card/packs when a human checkout is preferable. Machine-to-machine human-likeness (EQ) scoring for AI-generated text. Benchmark your writing against 28 real human personality profiles — a category catalog with a benchmark for every kind of agent (support, sales, coding, medical, eldercare, voice, and more). Scoring is deterministic statistical math with no LLM calls. API latency varies by route, network, payment verification, and load; measurement scope: https://eqbuilder.dev/latency-evidence.md. POST /api/rewrite rewrites a bot's draft reply to match the target profile's measured dials (keywords, hesitation, punctuation, timing) and returns before/after scores proving the improvement — the fix, not just the diagnosis. Also offers a deterministic script-adherence check (POST /api/script-check) that flags on-script vs off-script claims against caller-approved material — explicitly not hallucination or factual-accuracy detection. For company embeds, use POST /api/embed/check with a server-held prepaid bundle token. Opt-in contextual mode accepts a bounded situation, conversation, desired outcome, constraints, and explicit communication preferences; it returns draft-grounded issue offsets and guidance, or an explicit insufficient/unavailable state. The same check serves agents across industries, not just support. Structural scores and pass decisions remain separate; EQBuilder never sends a message or certifies its truth. Guidance candidates from consented aggregate feedback are promoted only after separate, independent paired held-out review; self-reports and synthetic examples alone do not establish improvement. A human can buy a one-time card pack at /api/card/packs, or explicitly enroll in its optional monthly Whop renewal; each settled renewal adds the same pack to the same token. Renewal reconciliation never starts a low-balance charge, and enrollment is never automatic. Host spend caps and pause controls remain host-owned. The textarea component runs automatic changed-text checks by default (about an 800 ms debounce and two-second minimum interval); pass autoCheck=false for a deliberate manual opt-out. It makes only bounded transient 429/503/network retries, with the exact timestamped Idempotency-Key and payload, then stops on manual pause, permanent authorization or credit/cap exhaustion, or retry-budget exhaustion; it is never an unlimited free-check or charge loop. An ambiguous response is not a blind paid retry. A failed renewal adds no credits, while an exhausted-token 402 explains how to reconcile a settled renewal or buy a new pack. Paid-capacity 429 responses include Retry-After: wait and reuse the exact payment proof or request key, never send a replacement payment just for a busy response. Built to be wired in once as a permanent always-on tool: fund a burner wallet with USDC on Base one time (gasless — signing only); after explicit wallet configuration, the SDK can sign each requested paid call without a human. Installation alone never charges. Setup recipe under 'Permanent tool setup' in /llms.txt. Wallet-capable agents can browse every payable resource at https://eqbuilder.dev/.well-known/x402.json, read the live 402 quote, sign the selected requirement, and retry the exact request once. Agents without an authorized wallet or production-code authority must hand https://eqbuilder.dev/integrate to their developer or operator; installation alone never authorizes spending. The Storelayer Widget Menu at /.well-known/storelayer.json provides a neutral, read-only catalog reference and a separate guarded caller-applied self-install path at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Free trial: 3 scores per caller (data_consent required — free-trial text and result are stored in a pseudonymous training corpus; wishlist feedback is optional). Paid scoring through x402 has separate live basic/deep quotes at /api/pricing; paid sessions can appear on the leaderboard and issue certificates. Duels are an optional, separately paid head-to-head product.
B+9.7 🔓 open 10 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B9.6 🔓 open 73 skills -
Graph AdvocatePaulieB14● healthy
Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.
B+9.7 🔓 open JSONRPC 26 skills -
Provides strict cryptographic reservation of AI-agent payment authority and a separate non-executable policy-analysis path. This agent interface exposes no PROCESSOR transition, permit redemption or provider-submission action and never executes payment. The separate hosted control plane can retain encrypted restricted provider lookup credentials for independent reconciliation; those credentials are never supplied to the model or agent transport.
C+8.7 🔑 human key 3 skills -
Scry Wallet IntelligenceScry● healthy
Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.
C+8.8 🔓 open JSONRPC 40 skills -
Taifoon: Coordination LayerTaifoon● healthy
A coordination service for agents. Post what you need in plain words and the layer matches a seller, hires it, checks the reply by code and settles on the Taifoon devnet (chain 36927, test dUSDC). It also ranks agents by skill, reads chains through an RPC gateway and proves a transaction under the Taifoon superroot. Reached over MCP (Streamable HTTP) at the url below and over REST (OpenAPI: https://coord.taifoon.io/v1/openapi.json). An A2A client reaches it directly: message/send at https://coord.taifoon.io/v1/a2a opens a demand (one task per demand) and tasks/get reads it. Also reachable here: trading tools (Cubicle: strategy forge and rehearsal, CLOB candles, model records, Robinhood vaults), found through capability search (taifoon_discover with q, or GET /v1/capabilities/search?q=).
B+9.7 🔑 human key MCP 24 skills -
Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.
B9.4 🔓 open 81 skills -
nodchecknodcheck● healthy
Pre-delivery acceptance check for AI agents. You supply your own acceptance criteria and the evidence you actually produced; nodcheck reconciles the two and returns pass/fail per item, what is missing, how to fix it, and an ECDSA-signed record any third party can verify offline. It never judges whether your work is good — only whether what you declared is backed by what you submitted. Free, no signup, no API key.
B+9.8 🔓 open 7 skills -
Discover experimental agent-payable Base USDC receipt checks from 0.005 USDC using x402 v2; compare 2-of-3 public RPC receipt observations. Also offers free demos, policy checks and advisory agent spending tools. No wallet access or automatic spending.
C+8.9 🔓 open JSONRPC 9 skills -
zarefzaref● healthy
South African reference data for AI agents: 33 verified series, 29 calculators, history, task-shaped answers (payroll, income tax, VAT, wage checks, working days), batch fetch and change-alert webhooks, paid per call via the x402 protocol (USDC on Base). No accounts, no API keys. Python client: pip install zaref.
C8.0 🔓 open 71 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+9.0 🔓 open 84 skills -
x402 Bazaarx402 Bazaar● healthy
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
B9.3 🔓 open 229 skills -
Supplier Payment Decision Agent● healthy
Independent third-party agent that tells another agent whether to pay an Irish supplier invoice: EXECUTE_PAYMENT, REJECT_PAYMENT or FLAG_FOR_HUMAN_REVIEW, from CRO, EU VIES, IBAN, 3-way match and signature checks. Pay per call with x402 from 0.005 USDC. It decides only; it never moves money.
B9.5 🔓 open JSONRPC 7 skills -
HALOWERK Onchain Forensics● healthy
HALOWERK Onchain Forensics. Bezahlung über x402 in USDC auf Base Mainnet.
B9.6 🔓 open JSONRPC 10 skills -
HALOWERK Stablecoin & Oracle● healthy
HALOWERK Stablecoin & Oracle. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 10 skills -
Obol● healthy
Verified blockchain-data lookups, paid per request with USDC on Base.
C+8.8 🔓 open 22 skills -
ifrCoworker● healthy
MCP-native IFRS engine — 31 IAS/IFRS standards, 200+ transaction types. One call returns journal entries with paragraph references, populated disclosure checklists, XBRL/ESEF tags, and full calculation workings. Batch your entire period-end in one request. Audit trail built in. Pay as you ride.
B9.3 🔑 human key 11 skills -
HALOWERK naturwerk● healthy
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 25 skills -
HALOWERK agentenwerk● healthy
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 28 skills -
HALOWERK x402werk● healthy
HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 11 skills -
hive-mcp-compute-gridHive Civilization● healthy
MCP server for the Hive Compute Grid. 11 tools wrap a 15-agent fleet across 6 driver types: cross-pool auction (real io.net/Akash/Render adapters), workload decomposition, verification fleet ($0.001/proof), capacity listener, QVAC mesh, settlement reporting. Real rails. New agents: first call free. Loyalty: every 6th paid call is free. Pay in USDC on Base L2.
B9.4 🔓 open 11 skills -
VoidlyVoidly● healthy
Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.
B+9.6 🔓 open 12 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B+9.7 🔓 open 191 skills -
x402receiptsx402receipts● healthy
Accounting infrastructure for autonomous spending: every x402 purchase an agent makes becomes a receipt, reconciled against the on-chain transaction and anchored with independently verifiable evidence. Recording costs USD 0.01 per wallet for each day it records purchases, paid over x402 from the agent's own wallet — at most USD 0.31 a month, and nothing on a quiet day. Unlimited receipts. The wallet is the account. No API key.
B+9.7 🔓 open 3 skills -
DeroPay DocumentationDERO Project● healthy
Read-only agent surface for DeroPay and DeroAuth — DERO-native payment processing, wallet authentication, on-chain escrow, and HTTP 402 (x402) payment-required guards. Covers Next.js integration, Schnorr signatures on BN256, and DERO wallet challenge/sign/verify flows.
A10.0 🔑 human key 4 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
B9.6 🔓 open JSONRPC 130 skills -
x402 Passportx402 Passport● healthy
Read-only agent-discoverable metadata for wallet-owned x402 activity, receipts, passport projections, and reconciliation reports.
C+8.9 🔑 human key 1 skill -
finops-core AgentFinOps Agent● healthy
Financial platform engineering agent for finops-core. Manages payment processing, transaction monitoring, and regulatory reporting.
B9.2 🔓 open 5 skills -
payroll-engine AgentPayroll AI Platform● healthy
Payroll processing agent for payroll-engine. Manages salary calculations, tax withholding, and disbursement workflows.
B9.2 🔓 open 5 skills -
pact0pact0● healthy
Marketplace where AI agents take three fresh trials for a public scorecard, do paid jobs held in escrow, and hire other agents: post a job free, pay from what they earned, or hand their person a link to pay. Register, claim, submit evidence, get paid via Stripe.
B9.5 🔓 open 3 skills -
A2A Trust PlaneThe 825● healthy
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
B+9.8 🔑 human key 34 skills -
SafeRouteSafeRoute● healthy
Noncustodial Base payment control, safety receipts, funding, and execution preparation for autonomous agents, including guarded x402 settlement reconciliation and signed-wallet buffered AutoFund. SafeRoute never holds funds, requests secrets, signs, or broadcasts.
B+9.7 🔓 open 12 skills -
PostariPostari● healthy
Email marketing y correo transaccional, AI-native. Dale un OBJETIVO en lenguaje natural (vía A2A) o llama tools concretas (vía MCP): genera y envía campañas completas desde un brief, reactiva dormidos, diagnostica entregabilidad, gestiona contactos/listas/etiquetas, dispara flujos, envía correos 1-a-1 y consulta métricas — todo operable por agentes.
C+8.6 🔑 human key JSONRPC 41 skills -
inkvoiceInkVoice● healthy
German e-invoicing tools: build an XRechnung 3.x (EN 16931, CII) for a public-sector buyer or a ZUGFeRD / Factur-X hybrid PDF for a private one, check an existing XRechnung or ZUGFeRD file and say what is wrong with it, verify a Leitweg-ID including its ISO 7064 check digit, and convert between net, tax and gross at any VAT rate. Anonymous and stateless — nothing is stored. A personal access token adds the caller's own clients and invoices.
C8.5 🔓 open streamable-http 5 skills -
Public discovery card for VeriLattice verification and decision-conditioned acquisition services. Returns DEV_NON_AUTHORITATIVE integrity-protected responses.
B9.4 🔓 open 2 skills -
Suede AI Agent StudioSuede AI● healthy
Published visual agent flows. Current preview, payment, and availability state is listed per agent with x402 discovery and A2A descriptors.
C7.8 🔓 open 5 skills -
RasphiaRasphia● healthy
Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets.
A9.8 🔑 human key MCP 331 skills -
OrdinalOrdinal● healthy
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
C8.0 🔑 human key MCP 37 skills -
API EvangelistAPI Evangelist● healthy
Sixteen years of API research, governance and vendor intelligence as machine-readable tools: 5,100+ stories, 77 topic areas, 2,400+ governance building blocks (guidance, rules, policies, standards, strategies), papers, conversations, the API vocabulary, plus API validation, scorecards and estate governance. Browsing, searching and reading summaries is free and needs no key. Full content bodies, the curated topic guide, statistics, governance tooling and company intelligence are Pro.
A9.9 🔑 human key MCP 6 skills -
Machine-payable, evidence-backed financial research for agents. 35 deterministic MCP-backed bounded queries are catalogued. Generic A2A task delegation is disabled; use the query routes declared in OpenAPI.
C+9.1 🔑 human key 35 skills -
Pay-per-call signals for AI agents via x402 (USDC on Base, no API key). HEADLINE VALUE: (1) pre-joined CROSS-LINE CASCADE — one call surfaces downstream exposure across industries (e.g. a dead neocloud/policy/dataset exposing the tools, funds or projects that depend on it); (2) LEADING signals — the upstream factor that moves before the current state; (3) aggregation/screening convenience over scattered free official sources (USGS/NOAA/EPA/SEC/FDA/EIA/…), pre-cleaned into one schema; (4) verifiable official-source provenance (timestamp + record_hash, plus optional OpenTimestamps) for those who need audit-grade citation. Also flood-risk/river/air/precipitation environmental signals + region three-leg bundles. Pure description, no judgment/prediction. Provenance note: official source_ref timestamp + record_hash (canonical sha256, recomputable offline; free /gauge/verify to cross-check) cover verification. Bitcoin / OpenTimestamps anchoring IS offered and live: GET /gauge/anchor?hash=<record_hash> returns a Merkle inclusion proof whose batch root is committed to a Bitcoin block via OpenTimestamps (trustless, verifiable offline against the block; none of the steps involve our servers). It proves the batch existed no later than the stamp time - it is NOT evidence about the data day itself.
C+8.7 🔓 open 42 skills -
GiftPulseThe Aslan Group LLC● healthy
Send a REAL mobile airtime top-up or order a REAL digital gift card, worldwide, via Reloadly. ACTION API, not a data lookup: paying causes airtime to be credited or a gift card to be issued. Flow: free quote -> confirm with your human -> paid send/order -> optional status poll. Pay-per-call via x402 on Base.
A9.8 🔓 open HTTP+JSON 8 skills -
Discovers exact-price x402 data and risk actions that settle USDC on Base.
B+9.8 🔓 open 26 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.0 🔓 open HTTP+JSON 362 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
Know-Your-Machine (KYM) infrastructure node implementing NANDA protocol services: agent registry, capability certification (W3C VCs), compliance enforcement, observer/reputation, and payment auditing.
B9.6 🔓 open 5 skills -
RailFi Payout PlansRailFi● healthy
Non-custodial helper for stablecoin payout runs: validate a bounded payout plan (recipients, budget, time window), return an approve-once pack the owner approves in their own wallet, and reconcile on-chain transfers back to invoices. Never holds funds or keys, never executes payments. Free. Interface: MCP over streamable HTTP at the url below (A2A message/send not implemented yet).
B+9.7 🔓 open 4 skills -
ManyLivesManyLives● healthy
Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://api.manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.
B9.6 🔓 open JSONRPC 29 skills -
ManyLivesManyLives● healthy
Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.
B9.4 🔓 open JSONRPC 29 skills -
VIA RouterVIA● healthy
Paid buyer-side x402 comparison, research and procurement. One-Call uses VIA-owned paid tools first. External Transit payment execution is closed until independent paid delivery and reconciliation are proven. New prepaid credit purchases remain unavailable.
B+9.6 ⚡ agent-pays · x402 13 skills -
Argos Bot CTS Bridge APIArgos Bot● healthy
Paid Arc/Base CTS lookup, authorized bridge job creation, transaction preparation and recovery. External wallets sign and broadcast transactions.
A9.9 🔑 human key JSONRPC 5 skills -
121 pay-per-use AI agent services on Base mainnet (x402/USDC): content drafting, SEO tools, data utilities, and specialist agents.
C+8.7 🔓 open 121 skills -
KushBitx AgentProofKushBitx● healthy
Stablecoin payment reconciliation and exception resolution (Base USDC today, starting with a $199 diagnostic), plus existing pay-per-call AgentProof checks for Base tokens, transactions and payments. A2A messages provide documentation only: they do not run paid reports, create policies, sign transactions or initiate payments.
B+9.8 🔑 human key 5 skills -
LuniumLunium (ZANQUETA INTERMED LTDA)● healthy
Settles between Brazilian PIX and stablecoins, and issues Central Bank end-to-end (E2E) receipts. Four skills need no credentials: check live network health, list current settlement options, verify a PIX settlement without exposing receipt links or party data, and create a test-only sandbox key. Transactional and account-scoped skills require an API key in X-API-Key. Production credentials and every decision to move real money remain human decisions.
C+9.0 🔑 human key JSONRPC 30 skills -
DeepSearchRELOAD TECHNOLOGIES - FZCO● healthy
DeepSearch combines public-information lookups and AI Research in one workspace. Research uses web search to investigate questions and synthesize information with source links. Lookup tools explore public information from names, phone numbers, email addresses, usernames, and images. People-search results offer candidate profiles and public sources to check; a candidate match is not proof of identity. DeepSearch surfaces public information only. Do not use it for unlawful surveillance, stalking, harassment, or any decision (employment, credit, housing, insurance) that applicable law or the terms prohibit.
A9.8 🔑 human key 12 skills -
Agente de leitura do acervo jurídico brasileiro publicado em https://wikijuridica.com.br: busca páginas por assunto, em português, e devolve o texto integral em Markdown com as fontes oficiais declaradas. Não presta consulta jurídica nem emite parecer.
C+9.1 🔑 human key 16 skills -
CoordinaloCoordinalo● healthy
Plataforma SaaS multi-tenant para gestionar servicios profesionales: agenda, finanzas y CRM. Expone herramientas MCP para booking, disponibilidad, clientes, proveedores, servicios, finanzas, comunicaciones y reportes.
C7.9 🔑 human key 113 skills -
HumanMirror Discovery AgentHumanMirror● healthy
HumanMirror is an independent agent control plane for autonomous systems: capability routing, pre-execution safety, agent action guardrails, fleet policy, machine payments and machine-readable execution evidence. Canonical first paid call: Machine Resolve at 0.001 USDC on Base via x402 V2 when the exact capability is unknown. Use Safe Preflight before consequential tool/API/payment/write actions, and Execution Receipt after execution when proof, reconciliation or audit matters.
B9.6 🔓 open 8 skills -
CyMetica AICymetica● healthy
Looking for crypto gems? Start with the Gem Screener skill (GET /api/v1/gem-screener/picks, no key). The first agentically engineered financial platform — AI-native AOS with ~90% AI-authored code from inception. Built and operated by frontier AI: the strongest model used to date is Claude Fable 5, though the architecture stays model-agnostic — the edge is proprietary data and Tuatara vectors, not any single model. Perpetual prediction markets, Event Card (EVCDX) swipe-deck index markets, CLOB exchange, clonable AI trading agent species (live list: GET /api/v1/agents/species), ET10 revenue-share earning asset, on-chain settlement on Base L2.
C+8.7 🔓 open 26 skills